# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDockWidgetHeader Class Reference

The header (additional bar) for a KDockWidget s (and member of the dockwidget class set). More...

`#include <kdockwidget.h>`

Inheritance diagram for KDockWidgetHeader:

[legend]
Collaboration diagram for KDockWidgetHeader:

[legend]
List of all members.

## Public Member Functions

| KDockWidgetHeader (KDockWidget *parent, const char *name=0L)
virtual | ~KDockWidgetHeader ()
virtual void | setTopLevel (bool t)
void | setDragPanel (KDockWidgetHeaderDrag *nd)
KDockWidgetHeaderDrag * | dragPanel ()
bool | dragEnabled () const
void | setDragEnabled (bool b)
void | showUndockButton (bool show)
void | forceCloseButtonHidden (bool enable=true)
virtual void | saveConfig (KConfig *c)
virtual void | loadConfig (KConfig *c)
void | addButton (KDockButton_Private *)
void | removeButton (KDockButton_Private *)

## Protected Slots

void | slotStayClicked ()

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Protected Attributes

QHBoxLayout * | layout
KDockButton_Private * | closeButton
KDockButton_Private * | stayButton
KDockButton_Private * | dockbackButton
KDockWidgetHeaderDrag * | drag

## Detailed Description

The header (additional bar) for a KDockWidget s (and member of the dockwidget class set).

It have got the buttons located there. And it is for recording and reading the button states. More or less a minor helper class for the dockwidget class set.

Author:
  Max Judin (documentation: Falk Brettschneider).

Definition at line 238 of file kdockwidget.h.

## Constructor & Destructor Documentation

KDockWidgetHeader::KDockWidgetHeader | ( | KDockWidget * | parent,
|  | const char * | name = `0L`
| ) |

Constructs this.

Parameters:

  | parent | the parent widget (usually a dockwidget)
  | name | the object instance name

Definition at line 216 of file kdockwidget.cpp.

References QToolTip::add(), closeButton, dockbackButton, drag, layout, QPushButton::pixmap(), QPushButton::setPixmap(), QPushButton::setToggleButton(), slotStayClicked(), and stayButton.

virtual KDockWidgetHeader::~KDockWidgetHeader | ( |  | ) | `[inline, virtual]`

| Destructs this. Definition at line 254 of file kdockwidget.h.

## Member Function Documentation

void KDockWidgetHeader::setTopLevel | ( | bool | t | ) | `[virtual]`

Hides the close button and stay button when switching to toplevel or vice versa shows them.

Parameters:

  | t | toplevel or not

Reimplemented from KDockWidgetAbstractHeader.

Definition at line 272 of file kdockwidget.cpp.

References closeButton, dockbackButton, drag, KDockWidget::isDockBackPossible(), layout, and stayButton.

void KDockWidgetHeader::setDragPanel | ( | KDockWidgetHeaderDrag * | nd | ) |

Sets the drag panel of this header.

Parameters:

  | nd | A pointer to the new drag panel

Definition at line 317 of file kdockwidget.cpp.

References closeButton, dockbackButton, drag, endl(), kdDebug(), layout, and stayButton.

KDockWidgetHeaderDrag * KDockWidgetHeader::dragPanel | ( |  | ) |

Get the drag panel of this header.

Since:
  3.4

Definition at line 313 of file kdockwidget.cpp.

References drag.

void KDockWidgetHeader::showUndockButton | ( | bool | show | ) |

Since:
  3.1

Definition at line 405 of file kdockwidget.cpp.

References endl(), and kdDebug().

void KDockWidgetHeader::forceCloseButtonHidden | ( | bool | enable = `true` | ) |

Since:
  3.2

Definition at line 307 of file kdockwidget.cpp.

References closeButton.

void KDockWidgetHeader::saveConfig | ( | KConfig * | c | ) | `[virtual]`

Saves the current button state to a KDE config container object.

Parameters:

  | c | the configuration safe

Reimplemented from KDockWidgetAbstractHeader.

Definition at line 426 of file kdockwidget.cpp.

References QPushButton::isOn(), and stayButton.

void KDockWidgetHeader::loadConfig | ( | KConfig * | c | ) | `[virtual]`

Loads the current button state from a KDE config container object.

Parameters:

  | c | the configuration safe

Reimplemented from KDockWidgetAbstractHeader.

Definition at line 431 of file kdockwidget.cpp.

void KDockWidgetHeader::slotStayClicked | ( |  | ) | `[protected, slot]`

| Sets dragging the dockwidget off when the stay button is pressed down and vice versa. Definition at line 395 of file kdockwidget.cpp. References QPushButton::isOn(), and stayButton. Referenced by KDockWidgetHeader().

## Member Data Documentation

QHBoxLayout* KDockWidgetHeader::layout`[protected]`

| A layout manager for placing the embedded buttons (close and stay). Definition at line 327 of file kdockwidget.h. Referenced by KDockWidgetHeader(), setDragPanel(), and setTopLevel().

KDockButton_Private* KDockWidgetHeader::closeButton`[protected]`

| a little button for closing (undocking and hiding) the dockwidget Definition at line 332 of file kdockwidget.h. Referenced by forceCloseButtonHidden(), KDockWidgetHeader(), setDragPanel(), and setTopLevel().

KDockButton_Private* KDockWidgetHeader::stayButton`[protected]`

| a little button for enabling/disabling dragging the dockwidget with the mouse Definition at line 337 of file kdockwidget.h. Referenced by KDockWidgetHeader(), saveConfig(), setDragPanel(), setTopLevel(), and slotStayClicked().

KDockButton_Private* KDockWidgetHeader::dockbackButton`[protected]`

| a little button for dock back the dockwidget to it's previous dockwidget Definition at line 342 of file kdockwidget.h. Referenced by KDockWidgetHeader(), setDragPanel(), and setTopLevel().

KDockWidgetHeaderDrag* KDockWidgetHeader::drag`[protected]`

| the drag panel (double line) Definition at line 347 of file kdockwidget.h. Referenced by dragPanel(), KDockWidgetHeader(), setDragPanel(), and setTopLevel().

The documentation for this class was generated from the following files:

- kdockwidget.h
- kdockwidget.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:06 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003